<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->
<ng-container *ngLet="isExigentContract as isExigent">
  <div *ngIf="isExigent" class="flex items-center gap-20 w-full">
    <div class="grow">
      <div class="flex items-center gap-2">
        <p-button
          label="Accept"
          icon="pi pi-check"
          [outlined]="true"
          size="small"
          severity="success"
          (onClick)="acceptContract()"
          [loading]="loading$ | async"
        >
        </p-button>
        <p-button
          label="Reject"
          icon="pi pi-times"
          [outlined]="true"
          size="small"
          severity="danger"
          (onClick)="rejectContract()"
          [loading]="loading$ | async"
        >
        </p-button>
      </div>
    </div>
    <div>
      <p-button icon="pi pi-ellipsis-h" severity="secondary" [text]="true" (onClick)="menu.toggle($event)"></p-button>
      <p-menu #menu [model]="options" [popup]="true" appendTo="body"> </p-menu>
      <p-sidebar [(visible)]="showContract" [fullScreen]="true" appendTo="body">
        <ng-template pTemplate="header">
          <div class="grow">
            <div class="text-xl font-semibold">
              <span class="text-secondary-900"> Contract </span>
            </div>
          </div>
        </ng-template>
        <ng-template pTemplate="content">
          <app-code-editor [(ngModel)]="contractJson" [readOnly]="true"></app-code-editor>
        </ng-template>
      </p-sidebar>
    </div>
  </div>
  <div *ngIf="!isExigent" class="w-full flex items-center justify-end">
    <ng-container *ngLet="(loading$ | async) ?? false as loading">
      <app-spinner *ngIf="loading" [size]="16"></app-spinner>
      <p-button
        *ngIf="!loading"
        icon="pi pi-ellipsis-h"
        severity="secondary"
        [text]="true"
        (onClick)="menu.toggle($event)"
      ></p-button>
      <p-menu #menu [model]="options" [popup]="true" appendTo="body"> </p-menu>
      <p-sidebar [(visible)]="showContract" [fullScreen]="true"  appendTo="body">
        <ng-template pTemplate="header">
          <div class="grow">
            <div class="text-xl font-semibold">
              <span class="text-secondary-900"> Contract </span>
            </div>
          </div>
        </ng-template>
        <ng-template pTemplate="content">
          <app-code-editor [(ngModel)]="contractJson" [readOnly]="true"></app-code-editor>
        </ng-template>
      </p-sidebar>
    </ng-container>
  </div>
</ng-container>
